concepts.hpp File Reference

## Functions

concept() | ranges::container_ (T)
concept() | ranges::lvalue_container_like_ (T)

## Variables

template<typename T >
concept | ranges::container
template<typename T >
| ranges::CPP_TEMPLATE_AUX_1
template<typename T >
concept | ranges::lvalue_container_like
template<typename C >
concept | ranges::random_access_reservable
template<typename C >
concept | ranges::reservable
template<typename C >
concept | ranges::reservable__requires_ = CPP_REQUIRES_requires ` (C & c, C const & cc) ( c.reserve(ranges::size(c)), cc.capacity(), cc.max_size(), concepts::requires_<same_as<decltype(cc.capacity()), decltype(ranges::size(c))>>, concepts::requires_<same_as<decltype(cc.max_size()), decltype(ranges::size(c))>> )
template<typename C , typename I >
concept | ranges::reservable_with_assign
template<typename C , typename I >
concept | ranges::reservable_with_assign__requires_ = CPP_REQUIRES_requires ` (C & c, I i) ( c.assign(i, i) )
template<typename T >
concept | ranges::semi_container